sample.ui.Menu = Backbone.View.extend({

    events: {
        "click .auth": 'onAuth',
        "click .exit": 'onExit'
    },

    initialize: function() {
        this.setElement('.menu');

        this.render();
    },

    render: function() {
        var self = this;

        $.ajax({
            url: 'app/templates/menu.tpl',
            dataType: 'text'
        }).done(function(data) {
            self.$el.html(data);

            $('.menu .menu_item[data-id='+sample.core.state.get('page')+']').addClass('active');
            });
    },

    onAuth: function() {
        sample.ui.auth_form.show();
    },

    onExit: function() {
        sample.core.state.set('userName', null);
        $('.exit').hide();
        $('.auth').show();
    }
});