sample.ui.PlayerPage = Backbone.View.extend({


    initialize: function() {
        this.model = sample.models.mainModel;

        $('.container').append('<div class="page player"></div>');

        this.setElement('.player');

        this.render();

        var self = this;

        this.model.bind('change:html', function() {
            self.$el.find('.player_body').html(self.model.get('html'));
        });
    },

    render: function() {
        var self = this;

        $.ajax({
            url: 'app/templates/player.tpl',
            dataType: 'text'
        }).done(function(data) {
                self.$el.html(data);
                self.$el.find('.player_body').html(self.model.get('html'));
            });
    }

});